package monnethic.mobile.restApi;

import org.json.JSONObject;

import java.net.URL;
import java.util.HashMap;
import java.util.Map;

import monnethic.mobile.transaction.SendingTransaction;

public class TransactionApiHandler {

    public String doTransaction(SendingTransaction sendingTransaction){
        HttpCallHandler httpCallHandler = new HttpCallHandler();
        try{
            String url = Config.TRANSACTION_SENT;
            Map<String,String> map = new HashMap<>();
            map.put("source_user_hash",sendingTransaction.getSource_user_hash());
            map.put("source_user_pwd",sendingTransaction.getSource_user_pwd());
            map.put("transaction_from",sendingTransaction.getTransaction_from());
            map.put("transaction_to",sendingTransaction.getTransaction_to());
            map.put("transaction_amount",sendingTransaction.getTransaction_amount());
            map.put("transaction_unit",sendingTransaction.getTransaction_unit());
            String response = httpCallHandler.postHttp(new URL(url),map);
            JSONObject jsonObject = new JSONObject(response);
            return jsonObject.getString("message");
        }catch (Exception e){
            e.printStackTrace();
        }
        return "";
    }
}
